Bug 585034 - All fn Key Combinations and Volume/Mute Buttons do not Function
All fn Key Combinations and Volume/Mute Buttons do not Function
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 19:35 EDT by Russell Smith
Modified: 2010-12-03 10:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:34:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Smith 2010-04-22 19:35:48 EDT
Description of problem:
My problem is that none of the fn key combinations function as intended. That is, pressing fn+f2, f3, f5, f7, f8, f9, PrtSc, ScrLk, Pause, f12, Home, End, PgUp, Up, Right, Down, Left and Space. As well, the volume increase, decrease and mute keys do not work either. I'm running Fedora 12, 2.6.32-99.fc12.i686.PAE on a Lenovo ThinkPad T60.

Version-Release number of selected component (if applicable):


How reproducible:
You only have to try either fn key combination to notice nothing occurs. 

Steps to Reproduce:
1. press the keyboard's 'fn' key
2. while the fn key is depressed, press one of the blue function keys i.e., f4
3. OR press any of the volume up, down or mute keys to notice they don't work either
  
Actual results:
Nothing happens, although using xev in the Terminal i do see different keycodes associated with each fn-fx key

Expected results:
By pressing fn+f4 would cause the computer to enter sleep-mode. By pressing the volume up button would cause the volume to increase. By pressing fn+Home would cause the brightness to increase. By pressing fn+PgUp would cause the ThinkLight to turn on, etc. Nothing works as it should.

Additional info:
Comment 1 Russell Smith 2010-05-27 20:34:17 EDT
Recently upgraded my OS to Fedora 13, 2.6.33.4-95.fc13.1386.PAE to see if that would help only to find the same issues, outlined above, still exist.
Comment 2 Dalibor Horinek 2010-10-16 15:59:41 EDT
I experience similar problems on my laptop Thinkpad R61i, mute and volume down/up buttons work correctly and brightness down work fine, but other key buttons not. 

Almost all buttons have mappings ok, but do nothing. Only brightness up key is wrongly represented as XF86Forward. 

I experience this problem in KDE, so maybe there is a problem in power devil (Regarding sleep and hibernate functionality)

WLAN button works ok.
Comment 3 Bug Zapper 2010-11-03 12:32:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Dalibor Horinek 2010-11-03 13:17:04 EDT
I've experienced the problem in Fedora 13 and also 14.
Comment 5 Bug Zapper 2010-12-03 10:34:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.